import React from "react";
import { GridCard } from "@fchh/fcos-suite-ui";
import Icon from "@components/Icon";
import type { IconPackageName } from "@config/index";
import type { IconSize } from "@config/index";

interface BaseProps {
  title: string;
  subtitle?: string;
  buttonCaption?: string;
  buttonTarget?: string;
  img?: string;
  imgAlt?: string;
  children?: React.ReactNode;
  light?: boolean;
  className?: string;
}

type IconOrWithoutIcon =
  | {
      icon?: never;
      iconPackage?: never;
      iconSize?: never;
    }
  | {
      icon: string;
      iconPackage?: IconPackageName;
      iconSize?: IconSize;
    };

type Props = BaseProps & IconOrWithoutIcon;

const GridCardIconWrapper: React.FC<Props> = ({
  iconPackage,
  iconSize,
  icon,
  ...restProps
}) => {
  return icon ? (
    <GridCard {...restProps} icon={<Icon pkg={iconPackage} name={icon} size={iconSize}/>} />
  ) : (
    <GridCard {...restProps} />
  );
};

export default GridCardIconWrapper;
