import type { Color } from "@interfaces/ICommon";
export interface INews {
  id: number;
  title: string;
  description: string;
  image: IImage;
  date: string;
  category: INewsCategory;
  time?: string;
  location?: string;
  href: string;
  type: "article" | "event";
  customColor?: string;
  textColor?: "dark" | "light";
}

export interface INewsCategory {
  id: number;
  title: string;
  href?: string;
}

export interface IImage {
  alt: string;
  src: string;
}

export interface INewsCategory {
  id: number;
  title: string;
}

type NewsCardBaseProps = {
  title: string;
  description: string;
  image: IImage;
  time?: string;
  location?: string;
  category: INewsCategory;
  href: string;
  type: "article" | "event";
  className?: string;
};

type NewsCardCustomColor =
  | {
      customColor?: Color;
      textColor?: "dark" | "light";
    }
  | {
      customColor?: never;
      textColor?: never;
    };

export type INewsCard = NewsCardBaseProps & NewsCardCustomColor;
